import pygame as pg


class RewardWindow:
    def open_window(self, event, screen):
        pg.draw.rect(screen, (38, 33, 55), (0, 100, 700, 400))
        font = pg.font.Font(None, 30)
        text_string = self.event_to_string(event)
        text = font.render(text_string, True, (255, 255, 255))
        size = font.size(text_string)
        screen.blit(text, (350 - (size[0] / 2.), 250 - (size[1] / 2.)))

    @staticmethod
    def event_to_string(event):
        event_string = ""
        if event == 0:
            event_string = "ничего не было"
        elif event == 1:
            event_string = "была мина, попрощайся с лягушкой"
            # TODO: сделать уничтожение лягушек, как сделают перемещение
        elif event == 2:
            event_string = "было 2 мухи, теперь они твои"
            from modules.DB import UseDB
            db = UseDB("game")
            db.update_document(
                {
                    "save.name": "start"
                },
                {
                    "money": db.find_document({})[0]["money"] + 2
                }
            )
        elif event == 5:
            event_string = "было 5 мух, теперь они твои"
            from modules.DB import UseDB
            db = UseDB("game")
            db.update_document(
                {
                    "save.name": "start"
                },
                {
                    "money": db.find_document({})[0]["money"] + 5
                }
            )
        elif event == 10:
            event_string = "было 10 мух, теперь они твои"
            from modules.DB import UseDB
            db = UseDB("game")
            db.update_document(
                {
                    "save.name": "start"
                },
                {
                    "money": db.find_document({})[0]["money"] + 10
                }
            )
        return event_string
